Bug 1031540 - [abrt] gnome-tweak-tool-3.10.0-2.fc20: tweak_group_shell_extensions.py:327:_got_info:KeyError: 'version'
[abrt] gnome-tweak-tool-3.10.0-2.fc20: tweak_group_shell_extensions.py:327:_g...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-tweak-tool (Show other bugs)
20
x86_64 All
urgent Severity urgent
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:11ddd9ce7bfba020b7ceaf9a110...
:
: 1084039 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 04:07 EST by Scott Tsai
Modified: 2015-06-29 08:58 EDT (History)
29 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:58:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.61 KB, text/plain)
2013-11-18 04:07 EST, Scott Tsai
no flags Details
File: environ (2.04 KB, text/plain)
2013-11-18 04:07 EST, Scott Tsai
no flags Details
Patch for 3.10.1-2.fc20 (2.54 KB, patch)
2014-03-14 11:05 EDT, Petr Kočandrle
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 730177 None None None Never

  None (edit)
Description Scott Tsai 2013-11-18 04:07:36 EST
Version-Release number of selected component:
gnome-tweak-tool-3.10.0-2.fc20

Additional info:
reporter:       libreport-2.1.9
cmdline:        python /usr/bin/gnome-tweak-tool
executable:     /usr/bin/gnome-tweak-tool
kernel:         3.11.7-300.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            500

Truncated backtrace:
tweak_group_shell_extensions.py:327:_got_info:KeyError: 'version'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gtweak/tweaks/tweak_group_shell_extensions.py", line 327, in _got_info
    uuid,version,extension["version"]))
KeyError: 'version'

Local variables in innermost frame:
widget: <_ShellExtensionTweak object at 0x145d960 (gtweak+tweaks+tweak_group_shell_extensions+_ShellExtensionTweak at 0x10bae10)>
shell: <gtweak.gshellwrapper.GnomeShell36 instance at 0xd30680>
uuid: 'AdvancedVolumeMixer@harry.karvonen.gmail.com'
extension: {'description': "Control programs' volume and output\nSource: http://repo.or.cz/w/AdvancedVolumeMixer.git", 'hasPrefs': False, 'name': 'Advanced Volume Mixer', 'state': 1.0, 'error': '', 'path': '/home/scottt/.local/share/gnome-shell/extensions/AdvancedVolumeMixer@harry.karvonen.gmail.com', 'type': 2.0, 'uuid': 'AdvancedVolumeMixer@harry.karvonen.gmail.com'}
resp: {u'3.4.0': {u'pk': 1083, u'version': 2}, u'3.5.5': {u'pk': 2032, u'version': 10}, u'3.5.4': {u'pk': 2032, u'version': 10}, u'3.5.3': {u'pk': 2032, u'version': 10}, u'3.6': {u'pk': 2033, u'version': 11}, u'3.4': {u'pk': 2032, u'version': 10}, u'3.2.0': {u'pk': 2032, u'version': 10}, u'3.2.1': {u'pk': 2032, u'version': 10}, u'3.2.2': {u'pk': 2032, u'version': 10}, u'3.8': {u'pk': 2715, u'version': 12}, u'3.5.90': {u'pk': 2032, u'version': 10}}
version: '3.10.1'
ego: <ExtensionsDotGnomeDotOrg object at 0x145d2d0 (gtweak+egowrapper+ExtensionsDotGnomeDotOrg at 0xa75820)>
self: <ShellExtensionTweakGroup object at 0x145d230 (gtweak+tweaks+tweak_group_shell_extensions+ShellExtensionTweakGroup at 0xed8f90)>
Comment 1 Scott Tsai 2013-11-18 04:07:43 EST
Created attachment 825436 [details]
File: backtrace
Comment 2 Scott Tsai 2013-11-18 04:07:45 EST
Created attachment 825437 [details]
File: environ
Comment 3 Ankur Sinha (FranciscoD) 2014-03-03 21:01:15 EST
Seems to happen each time I try to install an extension using g-t-t

I'm using gnome 3.11.90 from the COPR repo at the moment. I'm using the 

# gsettings set org.gnome.shell disable-extension-version-validation true

setting to let the shell use extensions which do not have corrected version numbers. g-t-t always seems to say "Invalid extension". Maybe g-t-t doens't look at this setting and therefore barfs?

Thanks,
Warm regards,
Ankur
Comment 4 Petr Kočandrle 2014-03-14 11:05:01 EDT
Created attachment 874477 [details]
Patch for 3.10.1-2.fc20

The proposed patch fixes check of installed extensions without a version (Pidgin Conversation Integration and system-monitor in my case) and also fixes update button behaviour. It is now shown more often with the patch as most of the extension defines supported shell version by saying only the major version, e.g. 3.10, not the concrete version like 3.10.4.
Comment 5 Rui Matos 2014-07-17 07:11:33 EDT
*** Bug 1084039 has been marked as a duplicate of this bug. ***
Comment 6 Moez Roy 2014-08-04 20:41:23 EDT
(In reply to Petr Kočandrle from comment #4)
> Created attachment 874477 [details]
> Patch for 3.10.1-2.fc20
> 
> The proposed patch fixes check of installed extensions without a version
> (Pidgin Conversation Integration and system-monitor in my case) and also
> fixes update button behaviour. It is now shown more often with the patch as
> most of the extension defines supported shell version by saying only the
> major version, e.g. 3.10, not the concrete version like 3.10.4.

Can you do a koji build with the patch? Thanks.
Comment 7 Petr Kočandrle 2015-01-13 06:49:42 EST
I'm sorry, but I haven't find the time so far to learn how to do that :-) and I think it's not very urgent to fix that in f20, because the fix has been accepted in upstream and it is fixed in f21, at least the part with the KeyError. The second part of this patch resolving the Update button not being shown at extensions with an update available is tracked in upstream BZ as https://bugzilla.gnome.org/show_bug.cgi?id=730178, but haven't got any attention so far.
Comment 8 Fedora End Of Life 2015-05-29 05:47:26 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-06-29 08:58:29 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.